package persistence.model;

import java.util.List;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.ManyToMany;

@Entity
public class Assunto {

	private String competicao;
	private String nome;
	@Id
	private Long assuntoId;
	@ManyToMany(mappedBy="assuntos")
	private List<Equipe> equipes;
	
	public String getCompeticao() {
		return competicao;
	}
	public void setCompeticao(String competicao) {
		this.competicao = competicao;
	}
	public String getNome() {
		return nome;
	}
	public void setNome(String nome) {
		this.nome = nome;
	}
	public List<Equipe> getEquipes() {
		return equipes;
	}
	public void setEquipes(List<Equipe> equipes) {
		this.equipes = equipes;
	}
	public void setAssuntoId(Long assuntoId) {
		this.assuntoId = assuntoId;
	}
	public Long getAssuntoId() {
		return assuntoId;
	}
	
	
	
}
